<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:24 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GaWorkloadEventImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GaWorkloadEventImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GaWorkloadEventImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadBehaviorImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadGeneratorImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html" target="_top">Frames</a></li>
<li><a href="GaWorkloadEventImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</div>
<h2 title="Class GaWorkloadEventImpl" class="title">Class GaWorkloadEventImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.GaWorkloadEventImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">GaWorkloadEventImpl</span>
extends org.eclipse.emf.ecore.impl.EObjectImpl
implements <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Ga Workload Event</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 </p>
 <ul>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getPattern--"><code><em>Pattern</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getGenerator--"><code><em>Generator</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getTrace--"><code><em>Trace</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getEffect--"><code><em>Effect</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getTimedEvent--"><code><em>Timed Event</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getBase_NamedElement--"><code><em>Base Named Element</em></code></a></li>
 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.NamedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#base_NamedElement">base_NamedElement</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getBase_NamedElement--"><code><em>Base Named Element</em></code></a>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaScenario</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#effect">effect</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getEffect--"><code><em>Effect</em></code></a>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadGenerator.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadGenerator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#generator">generator</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getGenerator--"><code><em>Generator</em></code></a>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#pattern">pattern</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getPattern--"><code><em>Pattern</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#PATTERN_EDEFAULT">PATTERN_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getPattern--"><code><em>Pattern</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.TimeEvent</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#timedEvent">timedEvent</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getTimedEvent--"><code><em>Timed Event</em></code></a>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaEventTrace.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaEventTrace</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#trace">trace</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getTrace--"><code><em>Trace</em></code></a>' reference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#GaWorkloadEventImpl--">GaWorkloadEventImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.NamedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#basicGetBase_NamedElement--">basicGetBase_NamedElement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaScenario</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#basicGetEffect--">basicGetEffect</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadGenerator.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadGenerator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#basicGetGenerator--">basicGetGenerator</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TimeEvent</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#basicGetTimedEvent--">basicGetTimedEvent</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaEventTrace.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaEventTrace</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#basicGetTrace--">basicGetTrace</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#eGet-int-boolean-boolean-">eGet</a></span>(int&nbsp;featureID,
    boolean&nbsp;resolve,
    boolean&nbsp;coreType)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#eIsSet-int-">eIsSet</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#eSet-int-java.lang.Object-">eSet</a></span>(int&nbsp;featureID,
    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#eStaticClass--">eStaticClass</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#eUnset-int-">eUnset</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.NamedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getBase_NamedElement--">getBase_NamedElement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaScenario</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getEffect--">getEffect</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadGenerator.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadGenerator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getGenerator--">getGenerator</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getPattern--">getPattern</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TimeEvent</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getTimedEvent--">getTimedEvent</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaEventTrace.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaEventTrace</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getTrace--">getTrace</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#setBase_NamedElement-org.eclipse.uml2.uml.NamedElement-">setBase_NamedElement</a></span>(org.eclipse.uml2.uml.NamedElement&nbsp;newBase_NamedElement)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#setEffect-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario-">setEffect</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaScenario</a>&nbsp;newEffect)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#setGenerator-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaWorkloadGenerator-">setGenerator</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadGenerator.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadGenerator</a>&nbsp;newGenerator)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#setPattern-java.lang.String-">setPattern</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newPattern)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#setTimedEvent-org.eclipse.uml2.uml.TimeEvent-">setTimedEvent</a></span>(org.eclipse.uml2.uml.TimeEvent&nbsp;newTimedEvent)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#setTrace-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaEventTrace-">setTrace</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaEventTrace.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaEventTrace</a>&nbsp;newTrace)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="PATTERN_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> PATTERN_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getPattern--"><code><em>Pattern</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getPattern--"><code>getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="pattern">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pattern</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> pattern</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getPattern--"><code><em>Pattern</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getPattern--"><code>getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="generator">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generator</h4>
<pre>protected&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadGenerator.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadGenerator</a> generator</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getGenerator--"><code><em>Generator</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getGenerator--"><code>getGenerator()</code></a></dd>
</dl>
</li>
</ul>
<a name="trace">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>trace</h4>
<pre>protected&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaEventTrace.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaEventTrace</a> trace</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getTrace--"><code><em>Trace</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getTrace--"><code>getTrace()</code></a></dd>
</dl>
</li>
</ul>
<a name="effect">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>effect</h4>
<pre>protected&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaScenario</a> effect</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getEffect--"><code><em>Effect</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getEffect--"><code>getEffect()</code></a></dd>
</dl>
</li>
</ul>
<a name="timedEvent">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>timedEvent</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.TimeEvent timedEvent</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getTimedEvent--"><code><em>Timed Event</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getTimedEvent--"><code>getTimedEvent()</code></a></dd>
</dl>
</li>
</ul>
<a name="base_NamedElement">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>base_NamedElement</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.NamedElement base_NamedElement</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getBase_NamedElement--"><code><em>Base Named Element</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html#getBase_NamedElement--"><code>getBase_NamedElement()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GaWorkloadEventImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GaWorkloadEventImpl</h4>
<pre>protected&nbsp;GaWorkloadEventImpl()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="eStaticClass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eStaticClass</h4>
<pre>protected&nbsp;org.eclipse.emf.ecore.EClass&nbsp;eStaticClass()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eStaticClass</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="getPattern--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPattern()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#getPattern--">getPattern</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Pattern</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#setPattern-java.lang.String-"><code>GaWorkloadEvent.setPattern(String)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaWorkloadEvent_Pattern--"><code>GQAMPackage.getGaWorkloadEvent_Pattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="setPattern-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPattern</h4>
<pre>public&nbsp;void&nbsp;setPattern(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newPattern)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#setPattern-java.lang.String-">setPattern</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newPattern</code> - the new value of the '<em>Pattern</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#getPattern--"><code>GaWorkloadEvent.getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="getGenerator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGenerator</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadGenerator.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadGenerator</a>&nbsp;getGenerator()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#getGenerator--">getGenerator</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Generator</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#setGenerator-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaWorkloadGenerator-"><code>GaWorkloadEvent.setGenerator(GaWorkloadGenerator)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaWorkloadEvent_Generator--"><code>GQAMPackage.getGaWorkloadEvent_Generator()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetGenerator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetGenerator</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadGenerator.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadGenerator</a>&nbsp;basicGetGenerator()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setGenerator-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaWorkloadGenerator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGenerator</h4>
<pre>public&nbsp;void&nbsp;setGenerator(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadGenerator.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadGenerator</a>&nbsp;newGenerator)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#setGenerator-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaWorkloadGenerator-">setGenerator</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newGenerator</code> - the new value of the '<em>Generator</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#getGenerator--"><code>GaWorkloadEvent.getGenerator()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTrace--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTrace</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaEventTrace.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaEventTrace</a>&nbsp;getTrace()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#getTrace--">getTrace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Trace</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#setTrace-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaEventTrace-"><code>GaWorkloadEvent.setTrace(GaEventTrace)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaWorkloadEvent_Trace--"><code>GQAMPackage.getGaWorkloadEvent_Trace()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetTrace--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetTrace</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaEventTrace.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaEventTrace</a>&nbsp;basicGetTrace()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setTrace-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaEventTrace-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTrace</h4>
<pre>public&nbsp;void&nbsp;setTrace(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaEventTrace.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaEventTrace</a>&nbsp;newTrace)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#setTrace-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaEventTrace-">setTrace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newTrace</code> - the new value of the '<em>Trace</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#getTrace--"><code>GaWorkloadEvent.getTrace()</code></a></dd>
</dl>
</li>
</ul>
<a name="getEffect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEffect</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaScenario</a>&nbsp;getEffect()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#getEffect--">getEffect</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Effect</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#setEffect-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario-"><code>GaWorkloadEvent.setEffect(GaScenario)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaWorkloadEvent_Effect--"><code>GQAMPackage.getGaWorkloadEvent_Effect()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetEffect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetEffect</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaScenario</a>&nbsp;basicGetEffect()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setEffect-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEffect</h4>
<pre>public&nbsp;void&nbsp;setEffect(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaScenario</a>&nbsp;newEffect)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#setEffect-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario-">setEffect</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newEffect</code> - the new value of the '<em>Effect</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#getEffect--"><code>GaWorkloadEvent.getEffect()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTimedEvent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimedEvent</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.TimeEvent&nbsp;getTimedEvent()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#getTimedEvent--">getTimedEvent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Timed Event</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#setTimedEvent-org.eclipse.uml2.uml.TimeEvent-"><code>GaWorkloadEvent.setTimedEvent(TimeEvent)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaWorkloadEvent_TimedEvent--"><code>GQAMPackage.getGaWorkloadEvent_TimedEvent()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetTimedEvent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetTimedEvent</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.TimeEvent&nbsp;basicGetTimedEvent()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setTimedEvent-org.eclipse.uml2.uml.TimeEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimedEvent</h4>
<pre>public&nbsp;void&nbsp;setTimedEvent(org.eclipse.uml2.uml.TimeEvent&nbsp;newTimedEvent)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#setTimedEvent-org.eclipse.uml2.uml.TimeEvent-">setTimedEvent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newTimedEvent</code> - the new value of the '<em>Timed Event</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#getTimedEvent--"><code>GaWorkloadEvent.getTimedEvent()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_NamedElement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_NamedElement</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.NamedElement&nbsp;getBase_NamedElement()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#getBase_NamedElement--">getBase_NamedElement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Named Element</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#setBase_NamedElement-org.eclipse.uml2.uml.NamedElement-"><code>GaWorkloadEvent.setBase_NamedElement(NamedElement)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GQAMPackage.html#getGaWorkloadEvent_Base_NamedElement--"><code>GQAMPackage.getGaWorkloadEvent_Base_NamedElement()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetBase_NamedElement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetBase_NamedElement</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.NamedElement&nbsp;basicGetBase_NamedElement()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setBase_NamedElement-org.eclipse.uml2.uml.NamedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_NamedElement</h4>
<pre>public&nbsp;void&nbsp;setBase_NamedElement(org.eclipse.uml2.uml.NamedElement&nbsp;newBase_NamedElement)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#setBase_NamedElement-org.eclipse.uml2.uml.NamedElement-">setBase_NamedElement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaWorkloadEvent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newBase_NamedElement</code> - the new value of the '<em>Base Named Element</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaWorkloadEvent.html#getBase_NamedElement--"><code>GaWorkloadEvent.getBase_NamedElement()</code></a></dd>
</dl>
</li>
</ul>
<a name="eGet-int-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eGet</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;eGet(int&nbsp;featureID,
                   boolean&nbsp;resolve,
                   boolean&nbsp;coreType)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eGet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eGet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eSet-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSet</h4>
<pre>public&nbsp;void&nbsp;eSet(int&nbsp;featureID,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eUnset-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eUnset</h4>
<pre>public&nbsp;void&nbsp;eUnset(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eUnset</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eUnset</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eIsSet-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eIsSet</h4>
<pre>public&nbsp;boolean&nbsp;eIsSet(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eIsSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eIsSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GaWorkloadEventImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadBehaviorImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadGeneratorImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaWorkloadEventImpl.html" target="_top">Frames</a></li>
<li><a href="GaWorkloadEventImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
